//    IPS Java Utils
// 	  (c) Copyright 2012
// 	  Institute of Phonetics and Speech Processing,
//    Ludwig-Maximilians-University, Munich, Germany
//
//
//    This file is part of IPS Java Utils
//
//
//    IPS Java Utils is free software: you can redistribute it and/or modify
//    it under the terms of the GNU Lesser General Public License as published by
//    the Free Software Foundation, version 3 of the License.
//
//    IPS Java Utils is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public License
//    along with IPS Java Utils.  If not, see <http://www.gnu.org/licenses/>.

package ips.incubator.swing.filemanager;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;
import java.io.File;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

/**
 * @author klausj
 *
 */
public class JFileManager extends JPanel {

    private File directory;
    public JFileManager(){
        super(new GridBagLayout());
        String uHomePath=System.getProperty("user.home");
       File  directory=new File(uHomePath);
        setDirectory(directory);
    }
    
    
    
    
    
    
    public static void main(String[] args){
        Runnable show=new Runnable() {
            
            public void run() {
                JFrame f=new JFrame();
                JFileManager jfm=new JFileManager();
                f.getContentPane().add(jfm);
                f.pack();
           
                f.setVisible(true);
            }
        };
        
        SwingUtilities.invokeLater(show);
        
    }

    public File getDirectory() {
        return directory;
    }


    public void setDirectory(File directory) {
        this.directory = directory;
        removeAll();
        GridBagConstraints gc=new GridBagConstraints();
        File[] files=this.directory.listFiles();
//        setLayout(new GridLayout(0, 1));
        gc.gridx=0;
        gc.gridy=0;
        gc.weightx=1.0;
        gc.fill=GridBagConstraints.HORIZONTAL;
        for(File f:files){
            JFileView fv=new JFileView(f);
//            fv.setFile(f);
            add(fv,gc);
            gc.gridy++;
        }
        revalidate();
        repaint();
    }
    
}
